# Contribuer à ScoDoc

ScoDoc est un logiciel libre, et repose sur des volontaires comme vous. Chacun
peut aider, en améliorant la documentation (page, vidéos), en rejoignant le
serveur Discord (voir [contacts](Contact.md)) pour y aider les
collègues, ou en développant ou testant le logiciel.

Les canaux de communication entre développeurs sont
[indiqués sur cette page](Contact.md). Vous pouvez demander un compte sur le [git du
 projet](https://scodoc.org/git), consulter/ajouter des tickets, proposer votre
code (*pull requests*).

## Contribuer à la documentation

La documentation est constituée de deux parties:

- les vidéos postées sur [la chaîne
  YouTube](https://www.youtube.com/playlist?list=PLw49h6RbvswhasBk9bXj7PzOD8GDW3kG1).
  Proposez de nouvelles vidéos, c'est très facile à faire !

- Les pages Web comme celle que vous lisez actuellement. La documentation est
  générée via `MkDocs`, un système très simple basé sur le format
  [Markdown](https://www.markdownguide.org/basic-syntax/). Toutes les sources
  sont sur le [dépôt git DocScoDoc](https://scodoc.org/git/viennet/DocScoDoc).

## Contribuer au logiciel

Le [dépôt principal](https://scodoc.org/git/viennet/ScoDoc) comporte plusieurs
branches. Voir le [guide pour les développeurs](GuideDeveloppeurs.md).


!!! note "Voir aussi"

    - [Guide développeurs](GuideDeveloppeurs.md)
    - [Guide administrateur ScoDoc](GuideAdminSys.md)
    - [FAQ](FAQ.md)
    - [Contacts](Contact.md)
