# Documentation de ScoDoc

Documentation (Web) de ScoDoc, en [MkDocs](https://www.mkdocs.org/).

Version en ligne sur [scodoc.org](https://scodoc.org).

## Historique

L'ancienne documentation de ScoDoc7, hébergée au LIPN sur une plate-forme
[Trac](https://trac.edgewall.org/), a été traduite en
[Markdown](https://www.markdownguide.org/basic-syntax/) en septembre
2020 et passée sous git.

Le site est depuis hébergé sur [https://scodoc.org].

## Installation mkdocs

Il est recommandé de créer un virtualenv:

```bash
python3.11 -m venv venv
source venv/bin/activate
```

puis d'y installer les composants suivants:

```bash
pip install mkdocs
pip install pymdown-extensions
pip install mkdocs-material
pip install mkdocs-plugin-inline-svg
```

Pour générer le site:

```bash
mkdocs build
```
